## python-caldav 0.11.0

=== Makefile ===
TOX_DIR = .tox
BIN_DIR = ${TOX_DIR}/py37/bin/

install:
	tox --recreate --notest

test:
	tox

package:
	$(BIN_DIR)pip install wheel
	$(BIN_DIR)python setup.py sdist bdist_wheel


doc:
	$(BIN_DIR)pip install sphinx
	$(BIN_DIR)python setup.py build_sphinx

clean:
	find . -name __pycache__ -exec rm -r {} +
	rm -rf caldav.egg-info dist docs/build ${TOX_DIR}

mrproper: clean
	rm -rf ${TOX_DIR}

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-caldav.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-caldav.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-caldav 0.4.0

=== debian/changelog ===
python-caldav (0.4.0-1) unstable; urgency=low

  * Initial release

 -- Martin Zobel-Helas <zobel@debian.org>  Fri, 08 Jan 2016 08:24:26 +0000

=== debian/control ===
Source: python-caldav
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-lxml, python-setuptools, python-requests, python-vobject, python-nose
Standards-Version: 3.9.6
Section: python
Homepage: https://bitbucket.org/cyrilrbt/caldav/wiki/Home

Package: python-caldav
Architecture: all
Depends: ${misc:Depends},${python:Depends}
Description: CalDAV (RFC4791) client library
 A simple python DAV client library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-caldav/
#export PYTHONWARNINGS=d
export DH_VERBOSE=o

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
http://pypi.debian.net/caldav/caldav-(.*)\.tar\.gz

## python-caldav 0.5.0

=== debian/changelog ===
python-caldav (0.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release. (Closes: #854144)
  * Update to debhelper 11
  * Add Python 3 Support (Closes: #857982)
  * Update Standards-Version to 4.2.1. No changes needed
  * Add minimal autopkgtest
  * whitespace cleanup
  * Use secure uris in d/watch and d/copyright
  * add dont-require-test-packages.patch
    Prevents nose and coverage from becoming a dependency of the
    package
  * Add python{,3}-coverage as a build-dependency

 -- Diane Trout <diane@ghic.org>  Wed, 12 Sep 2018 21:27:21 -0700

=== debian/control ===
Source: python-caldav
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-lxml, python-setuptools, python-requests, python-vobject, python-nose,
               python-coverage,
               python3-all,
               python3-coverage,
               python3-lxml,
               python3-nose,
               python3-requests,
               python3-setuptools,
               python3-vobject
Standards-Version: 4.2.1
Section: python
Homepage: https://bitbucket.org/cyrilrbt/caldav/wiki/Home

Package: python-caldav
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: CalDAV (RFC4791) client library for Python 2
 A simple Python DAV client library
 .
 This contains the Python 2 library

Package: python3-caldav
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: CalDAV (RFC4791) client library for Python 3
 A simple Python DAV client library
 .
 This contains the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=caldav
#export PYTHONWARNINGS=d
export DH_VERBOSE=o

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
https://pypi.debian.net/caldav/caldav-(.*)\.tar\.gz

## python-caldav 0.6.1+repack1

=== debian/changelog ===
python-caldav (0.6.1+repack1-1) unstable; urgency=medium

  * Add myself as Uploader
  * Update Standards-Version to 4.4.0. No changes needed.
  * Stop building Python 2 version.
  * Add python3-tz dependency to Build-Depends
  * Remove dont-require-testpackages. Applied upstream.
  * Exclude *.pyc files.
  * Update watch file for repack
  * New upstream version 0.6.1
  * Use debhelper-compat instead of debian/compat

 -- Diane Trout <diane@ghic.org>  Tue, 03 Sep 2019 21:36:02 -0700

=== debian/control ===
Source: python-caldav
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all,
               python3-coverage,
               python3-lxml,
               python3-nose,
               python3-requests,
               python3-setuptools,
               python3-tz,
               python3-vobject
Standards-Version: 4.4.0
Section: python
Homepage: https://bitbucket.org/cyrilrbt/caldav/wiki/Home

Package: python3-caldav
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: CalDAV (RFC4791) client library for Python 3
 A simple Python DAV client library
 .
 This contains the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=caldav
#export PYTHONWARNINGS=d
export DH_VERBOSE=o

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import caldav; print(caldav)"
 ; done
Depends: @, python3-all,

## python-caldav 0.6.2

=== debian/changelog ===
python-caldav (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-tzlocal test dependency
  * Mark other test dependencies as <!nocheck>
  * Enable running tests at build time unless nocheck is set
  * Run upstream tests instead of the trivial import package test

 -- Diane Trout <diane@ghic.org>  Mon, 02 Mar 2020 21:52:31 -0800

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all,
-               python3-coverage,
+               python3-coverage <!nocheck>,
                python3-lxml,
-               python3-nose,
+               python3-nose <!nocheck>,
                python3-requests,
                python3-setuptools,
-               python3-tz,
+               python3-tz <!nocheck>,
+               python3-tzlocal <!nocheck>,
                python3-vobject
 Standards-Version: 4.4.0
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
+endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do pushd "tests"
 ; echo "Testing with $py:"
 ; $py -m nose
 ; popd
 ; done
Depends: @, python3-all,
 python3-coverage,
 python3-nose,
 python3-tz,
 python3-tzlocal,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="dversionmangle=s/\+repack\d*$//,repacksuffix=+repack1" \
https://pypi.debian.net/caldav/caldav-(.*)\.tar\.gz

## python-caldav 0.9.1+repack1

=== debian/changelog ===
python-caldav (0.9.1+repack1-1) unstable; urgency=medium

  * New upstream release.
  * add python3-icalendar to build and autopkgtest dependencies
  * Update debian/watch version to 4.
  * Add disable-remote-server-tests.patch
    Disable configuration that connects to Internet based caldav
    servers since we don't have network access on build hosts.
  * Update standards-version to 4.6.0 no changes needed.
  * Add Vcs-* urls
  * Update upstream homepage
  * Add Rules-Requires-Root: no
  * Add some Files-Excluded: to remove emacs backup files
  * Port tests to use pytest (Closes: #1018469)
  * Update debhelper-compat to 13

 -- Diane Trout <diane@ghic.org>  Thu, 29 Sep 2022 14:50:13 -0700

=== debian/control ===
Source: python-caldav
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-all,
               python3-coverage <!nocheck>,
               python3-icalendar <!nocheck>,
               python3-lxml,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-tz <!nocheck>,
               python3-tzlocal <!nocheck>,
               python3-vobject
Standards-Version: 4.6.0
Section: python
Homepage: https://github.com/python-caldav/caldav
Vcs-Browser: https://salsa.debian.org/debian/python-caldav
Vcs-Git: https://salsa.debian.org/debian/python-caldav
Rules-Requires-Root: no

Package: python3-caldav
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: CalDAV (RFC4791) client library for Python 3
 A simple Python DAV client library
 .
 This contains the Python 3 library

=== debian/tests/control ===
Tests: run-test
Depends: @, python3-all,
 python3-coverage,
 python3-icalendar,
 python3-pytest,
 python3-tz,
 python3-tzlocal,

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//,repacksuffix=+repack1" \
https://pypi.debian.net/caldav/caldav-(.*)\.tar\.gz

## python-caldav 0.11.0

=== debian/changelog ===
python-caldav (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to Github
  * New upstream version 0.11.0
  * Fix Vcs-Git in d/control
  * Bump policy version (no changes)
  * Drop old patches
  * Update build dependencies
  * Use dh-sequence-python3
  * Enable autopkgtest-pkg-pybuild (Closes: #924522)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 08 Jan 2023 12:23:55 +0100

=== debian/control ===
Source: python-caldav
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-icalendar <!nocheck>,
               python3-lxml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-recurring-ical-events <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-tz <!nocheck>,
               python3-tzlocal <!nocheck>,
               python3-vobject <!nocheck>,
Standards-Version: 4.6.2
Section: python
Homepage: https://github.com/python-caldav/caldav
Vcs-Browser: https://salsa.debian.org/debian/python-caldav
Vcs-Git: https://salsa.debian.org/debian/python-caldav.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-caldav
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: CalDAV (RFC4791) client library for Python 3
 A simple Python DAV client library
 .
 This contains the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=caldav
#export PYTHONWARNINGS=d
export DH_VERBOSE=o

%:
	dh $@ --buildsystem=pybuild

## python-caldav 1.3.9

=== debian/changelog ===
python-caldav (1.3.9-1) unstable; urgency=medium

  * New upstream release
  * Implement autopkgtest tests

 -- Diane Trout <diane@ghic.org>  Thu, 21 Mar 2024 09:42:35 -0700

python-caldav (0.11.0-2) unstable; urgency=medium

  * Add tzdata-legacy for tests (Closes: #1052832)

 -- Diane Trout <diane@ghic.org>  Thu, 28 Sep 2023 11:23:24 -0700

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-tz <!nocheck>,
                python3-tzlocal <!nocheck>,
                python3-vobject <!nocheck>,
+               tzdata-legacy <!nocheck>
 Standards-Version: 4.6.2
 Section: python
 Homepage: https://github.com/python-caldav/caldav

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-icalendar,
         python3-lxml,
         python3-pytest,
         python3-recurring-ical-events,
         python3-requests,
         python3-tz,
         python3-tzlocal,
         python3-vobject,
         tzdata-legacy,
         @
